Skip to content

Delete a hosted payment page image

DELETE
/v1/admin/merchants/{merchant_id}/projects/{project_id}/hpp-uploads/{image}/{preview_or_default}/

Authorization

apiKey
headerAuthorizationBasic <token>

HTTP Basic authentication with an admin API key as the username and an empty password.

Path Parameters

merchant_id*string

The ID of the merchant.

Formatuuid
project_id*string

The ID of the project.

Formatuuid
image*string

Which image.

Value in"logo""background"
preview_or_default*string

The style set, preview for the preview page or default for the live page.

Value in"preview""default"

Response Body

The image is removed.

curl -X DELETE 'https://api.example.com/v1/admin/merchants/497f6eca-6276-4993-bfeb-53cbbbba6f08/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/hpp-uploads/logo/preview/' \  --user "$API_KEY:"
Empty